#ifdef GL_ES
precision mediump float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;

uniform highp vec2 circlePoint;
uniform highp float circleRadius;

void main()
{
    if (abs(distance(gl_FragCoord.xy,circlePoint)) > circleRadius) discard;

    gl_FragColor = v_fragmentColor * texture2D(CC_Texture0, v_texCoord);
}
